<template>
  <div class="advMaterials_banner">
    <div class="advMaterials_banner-title advMaterials_body advMaterials-background flex flex-middle">
      <img
        class="advMaterials_banner-title-img"
        :src="active.icon"
        alt="">
      <div class="text-uppercase text-bold color-white pl-20">{{active.name}}</div>
    </div>
    <div class="advMaterials_body">
      <div
        v-for="(item,key) in data"
        :key="key">
        <BannerItem :banner="item"></BannerItem>
        <div
          class="hr dashed mb-20"
          v-if="key!==data.length-1"></div>
      </div>
    </div>
  </div>
</template>

<script>
  import BannerItem from './Banner-item';

  export default {
    name: "Banner-item",
    props: {
      active: Object
    },
    data() {
      return {}
    },
    components: {
      BannerItem
    },
    computed: {
      data() {
        return this.$store.state.promoMaterials.data[this.active.name]
      }
    },
    methods: {},
    created() {
    }
  }
</script>
